<script setup lang="ts">

import { ref } from "vue";
import { useRouter } from "vue-router";
const router = useRouter();
const menuList = ref([
  {
    name: "参数设置",
    icon: "bookmark-o",
    path: "/params"
  },
  {
    name: "调整截距",
    icon: "expand-o",
    path: "/adjust"
  },
  {
    name: "重量校准",
    icon: "idcard",
    path: "/weight"
  },
  {
    name: "仪器维护",
    icon: "shield-o",
    path: "/maint"
  }
]);
function itemClick(page: string){
  router.push(`${page}`);
}
</script>

<template>
  <div class="app">
    <div class="menu-box">
      <div v-for="(item,index) in menuList" class="item" :key="index" @click.stop="itemClick(item.path)">
        <span>
          <van-icon :name="item.icon" color="white" size="40"/>
        </span>
        <span class="ml-1">{{item.name}}</span>
      </div>




    </div>

  </div>

</template>

<style scoped lang="less">
.app{
  width: 100vw;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  .menu-box{
    width: 60%;
    height: 70%;
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    row-gap: 10px;
    .item{
      width: 49%;
      height: 49%;
      border-radius: 10px;
      background: var(--base-green);
      display: flex;
      justify-content: center;
      align-items: center;
      color: white;
      font-size: 32px;
      font-weight: bold;
    }
  }
}

</style>
